Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

## Interface ConditionalLoopTree

- All Superinterfaces:
    `LoopTree`, `StatementTree`, `Tree`
  All Known Subinterfaces:
    `DoWhileLoopTree`, `ForLoopTree`, `WhileLoopTree`

      public interface ConditionalLoopTree
      extends LoopTree

  A mixin for conditional "loop" statements.
  Since:
    9

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface jdk.nashorn.api.tree.Tree

      `Tree.Kind`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ExpressionTree` | `getCondition​()` | Returns the condition expression of this 'loop' statement.

    - ### Methods inherited from interface jdk.nashorn.api.tree.LoopTree

      `getStatement`

    - ### Methods inherited from interface jdk.nashorn.api.tree.Tree

      `accept, getEndPosition, getKind, getStartPosition`

- - ### Method Detail

    - #### getCondition

          ExpressionTree getCondition​()

      Returns the condition expression of this 'loop' statement.
      Returns:
        the condition expression